import json
import setuptools

kwargs = json.loads(
    """
{
    "name": "aws-solutions-constructs.aws-kinesis-streams-gluejob",
    "version": "1.121.0",
    "description": "CDK Constructs for streaming data from AWS Kinesis Data Stream for Glue ETL custom Job processing",
    "license": "Apache-2.0",
    "url": "https://github.com/awslabs/aws-solutions-constructs.git",
    "long_description_content_type": "text/markdown",
    "author": "Amazon Web Services",
    "bdist_wheel": {
        "universal": true
    },
    "project_urls": {
        "Source": "https://github.com/awslabs/aws-solutions-constructs.git"
    },
    "package_dir": {
        "": "src"
    },
    "packages": [
        "aws_solutions_constructs.aws_kinesis_streams_gluejob",
        "aws_solutions_constructs.aws_kinesis_streams_gluejob._jsii"
    ],
    "package_data": {
        "aws_solutions_constructs.aws_kinesis_streams_gluejob._jsii": [
            "aws-kinesisstreams-gluejob@1.121.0.jsii.tgz"
        ],
        "aws_solutions_constructs.aws_kinesis_streams_gluejob": [
            "py.typed"
        ]
    },
    "python_requires": ">=3.6",
    "install_requires": [
        "aws-cdk.aws-glue==1.121.0",
        "aws-cdk.aws-iam==1.121.0",
        "aws-cdk.aws-kinesis==1.121.0",
        "aws-cdk.aws-logs==1.121.0",
        "aws-cdk.aws-s3-assets==1.121.0",
        "aws-cdk.aws-s3==1.121.0",
        "aws-cdk.core==1.121.0",
        "aws-solutions-constructs.core==1.121.0",
        "constructs>=3.2.0, <4.0.0",
        "jsii>=1.34.0, <2.0.0",
        "publication>=0.0.3"
    ],
    "classifiers": [
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: JavaScript",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Typing :: Typed",
        "License :: OSI Approved"
    ],
    "scripts": []
}
"""
)

with open("README.md", encoding="utf8") as fp:
    kwargs["long_description"] = fp.read()


setuptools.setup(**kwargs)
